OpenNMS API 1.2.9

## org.opennms.netmgt.xml.rtc
Class Category

    java.lang.Object
      org.opennms.netmgt.xml.rtc.Category

All Implemented Interfaces:
  java.io.Serializable

public class Category
extends java.lang.Object
implements java.io.Serializable

Version:
  $Revision$ $Date$
See Also:
  Serialized Form

Field Summary
`private java.lang.String` `_catlabel`
`private double` `_catvalue`
`private boolean` `_has_catvalue` keeps track of state for field: _catvalue
`private java.util.ArrayList` `_nodeList`
`private java.util.Vector` `propertyChangeListeners`

Constructor Summary
`Category()`

Method Summary
`void` `addNode(int index, Node vNode)`
`void` `addNode(Node vNode)`
`void` `addPropertyChangeListener(java.beans.PropertyChangeListener pcl)` Registers a PropertyChangeListener with this class.
`void` `clearNode()`
`java.util.Enumeration` `enumerateNode()`
`boolean` `equals(java.lang.Object obj)` Note: hashCode() has not been overriden
`java.lang.String` `getCatlabel()` Returns the value of field 'catlabel'.
`double` `getCatvalue()` Returns the value of field 'catvalue'.
`Node[]` `getNode()`
`Node` `getNode(int index)`
`java.util.Collection` `getNodeCollection()`
`int` `getNodeCount()`
`boolean` `hasCatvalue()`
`boolean` `isValid()`
`void` `marshal(org.xml.sax.DocumentHandler handler)`
`void` `marshal(java.io.Writer out)`
`protected void` `notifyPropertyChangeListeners(java.lang.String fieldName, java.lang.Object oldValue, java.lang.Object newValue)` Notifies all registered PropertyChangeListeners when a bound property's value changes.
`boolean` `removeNode(Node vNode)`
`boolean` `removePropertyChangeListener(java.beans.PropertyChangeListener pcl)` Removes the given PropertyChangeListener from this classes list of ProperyChangeListeners.
`void` `setCatlabel(java.lang.String catlabel)` Sets the value of field 'catlabel'.
`void` `setCatvalue(double catvalue)` Sets the value of field 'catvalue'.
`void` `setNode(int index, Node vNode)`
`void` `setNode(Node[] nodeArray)`
`void` `setNodeCollection(java.util.Collection vNode)`
`static Category` `unmarshal(java.io.Reader reader)`
`void` `validate()`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### _catlabel

    private java.lang.String _catlabel

### _catvalue

    private double _catvalue

### _has_catvalue

    private boolean _has_catvalue

  keeps track of state for field: _catvalue

### _nodeList

    private java.util.ArrayList _nodeList

### propertyChangeListeners

    private java.util.Vector propertyChangeListeners

Constructor Detail

### Category

    public Category()

Method Detail

### addNode

    public void addNode(Node vNode)
                 throws java.lang.IndexOutOfBoundsException

  Parameters:
    `vNode` -
  Throws:
    `java.lang.IndexOutOfBoundsException`

### addNode

    public void addNode(int index,
                        Node vNode)
                 throws java.lang.IndexOutOfBoundsException

  Parameters:
    `index` -
    `vNode` -
  Throws:
    `java.lang.IndexOutOfBoundsException`

### addPropertyChangeListener

    public void addPropertyChangeListener(java.beans.PropertyChangeListener pcl)

  Registers a PropertyChangeListener with this class.

  Parameters:
    `pcl` - The PropertyChangeListener to register.

### clearNode

    public void clearNode()

### enumerateNode

    public java.util.Enumeration enumerateNode()

### equals

    public boolean equals(java.lang.Object obj)

  Note: hashCode() has not been overriden

  Parameters:
    `obj` -

### getCatlabel

    public java.lang.String getCatlabel()

  Returns the value of field 'catlabel'.

  Returns:
    the value of field 'catlabel'.

### getCatvalue

    public double getCatvalue()

  Returns the value of field 'catvalue'.

  Returns:
    the value of field 'catvalue'.

### getNode

    public Node getNode(int index)
                 throws java.lang.IndexOutOfBoundsException

  Parameters:
    `index` -
  Throws:
    `java.lang.IndexOutOfBoundsException`

### getNode

    public Node[] getNode()

### getNodeCollection

    public java.util.Collection getNodeCollection()

### getNodeCount

    public int getNodeCount()

### hasCatvalue

    public boolean hasCatvalue()

### isValid

    public boolean isValid()

### marshal

    public void marshal(java.io.Writer out)
                 throws org.exolab.castor.xml.MarshalException,
                        org.exolab.castor.xml.ValidationException

  Parameters:
    `out` -
  Throws:
    `org.exolab.castor.xml.MarshalException`
    `org.exolab.castor.xml.ValidationException`

### marshal

    public void marshal(org.xml.sax.DocumentHandler handler)
                 throws org.exolab.castor.xml.MarshalException,
                        org.exolab.castor.xml.ValidationException

  Parameters:
    `handler` -
  Throws:
    `org.exolab.castor.xml.MarshalException`
    `org.exolab.castor.xml.ValidationException`

### notifyPropertyChangeListeners

    protected void notifyPropertyChangeListeners(java.lang.String fieldName,
                                                 java.lang.Object oldValue,
                                                 java.lang.Object newValue)

  Notifies all registered PropertyChangeListeners when a bound property's value changes.

  Parameters:
    `fieldName` - the name of the property that has changed.
    `newValue` - the new value of the property.
    `oldValue` - the old value of the property.

### removeNode

    public boolean removeNode(Node vNode)

  Parameters:
    `vNode` -

### removePropertyChangeListener

    public boolean removePropertyChangeListener(java.beans.PropertyChangeListener pcl)

  Removes the given PropertyChangeListener from this classes list of ProperyChangeListeners.

  Parameters:
    `pcl` - The PropertyChangeListener to remove.
  Returns:
    true if the given PropertyChangeListener was removed.

### setCatlabel

    public void setCatlabel(java.lang.String catlabel)

  Sets the value of field 'catlabel'.

  Parameters:
    `catlabel` - the value of field 'catlabel'.

### setCatvalue

    public void setCatvalue(double catvalue)

  Sets the value of field 'catvalue'.

  Parameters:
    `catvalue` - the value of field 'catvalue'.

### setNode

    public void setNode(int index,
                        Node vNode)
                 throws java.lang.IndexOutOfBoundsException

  Parameters:
    `index` -
    `vNode` -
  Throws:
    `java.lang.IndexOutOfBoundsException`

### setNode

    public void setNode(Node[] nodeArray)

  Parameters:
    `nodeArray` -

### setNodeCollection

    public void setNodeCollection(java.util.Collection vNode)

  Parameters:
    `vNode` -

### unmarshal

    public static Category unmarshal(java.io.Reader reader)
                              throws org.exolab.castor.xml.MarshalException,
                                     org.exolab.castor.xml.ValidationException

  Parameters:
    `reader` -
  Throws:
    `org.exolab.castor.xml.MarshalException`
    `org.exolab.castor.xml.ValidationException`

### validate

    public void validate()
                  throws org.exolab.castor.xml.ValidationException

  Throws:
    `org.exolab.castor.xml.ValidationException`

OpenNMS API 1.2.9

Generated by ranger on May 19 2007 2335.